### Virtual Method

# Gio Resolver lookup_service

#### Declaration

    GList*
    lookup_service (
      GResolver* resolver,
      const gchar* rrname,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`rrname`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `gpointer`

No description available.

The data is owned by the called function.